@ECHO OFF
if [%1]==[] goto usage
@echo "Please do not touch anything during patching process!"
cd resource\jpcsp-windows-x86
@echo "Stage 1 of 5 (will take about 15 minutes depending on CPU speed)"
for /f "delims=" %%X in ('dir /a-d /b /s tmp *.decrypted') do del /q %%X >nul 2>nul
call start-windows-x86.bat %1
for /f "delims=" %%X in ('dir /a-d /b /s tmp *.decrypted') do move /y %%X ..\quickbms\data.cpk >nul 2> nul
cd ..\quickbms
@echo "Stage 2 of 5 (will take about 5 minutes depending on CPU speed)"
..\hstart\hstart /noconsole /wait "%cd%\quickbms.exe -o %cd%\cpk.bms %cd%\data.CPK ..\crifilesystem\DATA\"
del /q .\data.cpk >nul 2> nul
xcopy /q /y ..\patch\*.* ..\crifilesystem\DATA\ >nul 2> nul
cd ..\crifilesystem
@echo "Stage 3 of 5 (will take about 10 minutes depending on CPU speed)"
del /q data.bin >nul 2> nul
..\hstart\hstart /noconsole /wait "cpkmakec .\DATA .\DATA.BIN -align=2048 -mode=filename"
del /q .\DATA\*.*  >nul 2> nul
move /y DATA.CPK ..\umd_replace\DATA.BIN >nul 2> nul
cd ..\umd_replace
del /q .\01.iso >nul 2> nul
..\hstart\hstart /noconsole /wait "..\7zip\7z e -y 01.zip"
@echo "Stage 4 of 5 (will take about 10 minutes depending on CPU speed)"
..\hstart\hstart /noconsole /wait "..\7zip\7z e -y -ir!*.afs -ir!*.pmf %1"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\INSDIR\DATA.BIN DATA.BIN"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV00.PMF MV00.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV01.PMF MV01.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV02.PMF MV02.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV03.PMF MV03.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV04.PMF MV04.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV05.PMF MV05.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV06.PMF MV06.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV07.PMF MV07.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV08.PMF MV08.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV09.PMF MV09.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV10.PMF MV10.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV11.PMF MV11.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV12.PMF MV12.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\MOVIE\MV13.PMF MV13.PMF"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\STREAM\OD_STREAM.AFS OD_STREAM.AFS"
..\hstart\hstart /noconsole /wait "UMD-replace 01.iso PSP_GAME\USRDIR\STREAM\OD_VOICE.AFS OD_VOICE.AFS"
del /q .\DATA.BIN >nul 2> nul
del /q .\*.PMF >nul 2> nul
del /q .\*.AFS >nul 2> nul
move /y %1 %1.bak >nul 2> nul
move /y 01.iso %1 >nul 2> nul
@echo "Stage 5 of 5. All done!"
@echo Patched iso name: %1
@echo Original iso renamed to %1.bak
goto :eof
:usage
@echo You must drag and drop original iso into this file
@echo or execute patcher like this: patch.exe full_path_to_iso
pause
